OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKBin
BinDrivers

# BinDrivers Class Reference

`#include <BinDrivers.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_EXPORT Handle_Standard_Transient | Factory (const Standard_GUID &theGUID)
static Standard_EXPORT Handle_BinMDF_ADriverTable | AttributeDrivers (const Handle(CDM_MessageDriver)&MsgDrv)
| Creates the table of drivers of types supported .
static Standard_EXPORT TCollection_AsciiString | StorageVersion ()
| returns "1"

## Member Function Documentation

static Standard_EXPORT Handle_BinMDF_ADriverTable BinDrivers::AttributeDrivers | ( | const Handle(CDM_MessageDriver)& | MsgDrv | ) | `[static]`

static Standard_EXPORT Handle_Standard_Transient BinDrivers::Factory | ( | const Standard_GUID & | theGUID | ) | `[static]`

void BinDrivers::operator delete | ( | void * | anAddress | ) | `[inline]`

void* BinDrivers::operator new | ( | size_t | size | ) | `[inline]`

void* BinDrivers::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT TCollection_AsciiString BinDrivers::StorageVersion | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- BinDrivers.hxx